#pragma once
#include <vector>
#include "Vec2.h"
#include "Graphics.h"

class CoordinateTransformer
{
public:
	CoordinateTransformer(Graphics& gfx)
		:
		gfx(gfx)
	{}
	void DrawClosedPolyLine(std::vector<Vec2> poly, Color c)
	{
		Vec2 offset = { float(Graphics::ScreenWidth / 2), float(Graphics::ScreenWidth / 2) };
		for (auto& v : poly)
		{
			v.y *= -1.0f;
			v += offset;
		}
		gfx.DrawClosedPolyLine(poly, c);
	}
private:
	Graphics& gfx;
};
