#include "MainWindow.h"
#include "Game.h"
#include "Star.h"
#include "Entity.h"

Game::Game(MainWindow& wnd)
	:
	wnd(wnd),
	gfx(wnd),
	ct(gfx)
{}

void Game::Go()
{
	gfx.BeginFrame();
	UpdateModel();
	ComposeFrame();
	gfx.EndFrame();
}

void Game::UpdateModel()
{
	const float speed = 3.0f;
	if (wnd.kbd.KeyIsPressed(VK_DOWN))
	{
		e1.TranslateBy({ 0.0f, -speed });
	}
	if (wnd.kbd.KeyIsPressed(VK_UP))
	{
		e1.TranslateBy({ 0.0f, speed });
	}
	if (wnd.kbd.KeyIsPressed(VK_LEFT))
	{
		e1.TranslateBy({ -speed, 0.0f });
	}
	if (wnd.kbd.KeyIsPressed(VK_DOWN))
	{
		e1.TranslateBy({ -speed, 0.0f });
	}
}



void Game::ComposeFrame()
{
	if (wnd.mouse.LeftIsPressed())
	{
		gfx.DrawLine({ 100.0f, 100.0f }, (Vec2)wnd.mouse.GetPos(), Colors::Magenta);
	}

	auto poly = Star::Make(150.0f, 75.0f, 8);
	for (auto& v : poly)
	{
		v += Vec2{ 200.0f, 200.0f };
	}

	ct.DrawClosedPolyLine(poly, Colors::Green);
}



